package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class GeneralKelompokProduk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "GeneralKelompokProduk_M")
public class GeneralKelompokProdukVO extends BaseMasterVO {
	@Caption(value="GKelompok Produk")
	private String gKelompokProduk;

	public void setGKelompokProduk(String gKelompokProduk) {
		this.gKelompokProduk = gKelompokProduk;
	}

	@Column(name = "GKelompokProduk", nullable = false , length = 30)
	public String getGKelompokProduk(){
		return this.gKelompokProduk;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@Caption(value="Kode G Kelompok Produk")
	private Byte kdGKelompokProduk;

	public void setKdGKelompokProduk(Byte kdGKelompokProduk) {
		this.kdGKelompokProduk = kdGKelompokProduk;
	}

	@Column(name = "KdGKelompokProduk", nullable = false )
	public Byte getKdGKelompokProduk(){
		return this.kdGKelompokProduk;
	}

	@Caption(value="QG Kelompok Produk")
	private Byte qGKelompokProduk;

	public void setqGKelompokProduk(Byte qGKelompokProduk) {
		this.qGKelompokProduk = qGKelompokProduk;
	}

	@Column(name = "QGKelompokProduk", nullable = false )
	public Byte getqGKelompokProduk(){
		return this.qGKelompokProduk;
	}
	/*//
	@OneToMany(fetch = FetchType.LAZY, cascade = CascadeType.ALL, mappedBy = "kdgkelompokproduk")
	private Set<GeneralJenisProduk> GeneralJenisProdukSet = new HashSet<GeneralJenisProduk>();

	public Set<GeneralJenisProduk> getGeneralJenisProdukSet() {
		return GeneralJenisProdukSet;
	}

	public void setGeneralJenisProdukSet(Set<GeneralJenisProduk> generalJenisProdukSet) {
		GeneralJenisProdukSet = generalJenisProdukSet;
	}*/

}

